import 'package:txt_to_morse/txt_to_morse.dart';
import 'package:test/test.dart';

void main() {
  test('Text fails with null', () {
    expect(() => Morse.TextToMorse(null), throwsArgumentError);
  });

  test('Text converts to Morse', () {
    Morse text = Morse.TextToMorse("Soy un string!");
    expect(text.toString(), "... --- -.--/..- -./... - .-. .. -. --. -.-.--");
  });
}
